View Javadoc

    1   /***
    2    *
    3    * Copyright 2005 Jeremy Rayner
    4    *
    5    * Licensed under the Apache License, Version 2.0 (the "License");
    6    * you may not use this file except in compliance with the License.
    7    * You may obtain a copy of the License at
    8    *
    9    * http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   *
    17   **/
    18
    19  package org.codehaus.groovy.antlr;
    20
    21  import antlr.collections.AST;
    22
    23  /***
    24   * An interface for processing antlr AST objects
    25   *
    26   * @author <a href="mailto:groovy@ross-rayner.com">Jeremy Rayner</a>
    27   * @version $Revision: 1.2 $
    28   */
    29  public interface AntlrASTProcessor {
    30      /***
    31       * performs some processing on the supplied AST node.
    32       * @param t the AST node to process.
    33       * @return possibly returns the AST modified or null, depends on the implementation.
    34       */
    35      AST process(AST t);
    36  }